<?php

namespace Drupal\pdftemplate;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityViewBuilder;

/**
 * Provides a view controller for a pdftemplate entity type.
 */
class PDFTemplateViewBuilder extends EntityViewBuilder {

  /**
   * {@inheritdoc}
   */
  protected function getBuildDefaults(EntityInterface $entity, $view_mode) {
    $build = parent::getBuildDefaults($entity, $view_mode);
    // The pdftemplate has no entity template itself.
    unset($build['#theme']);
    return $build;
  }

}
